Subject: Re: [PATCH v7 04/11] submodule: introduce extensions.submodulePathConfig

From: Adrian Ratiu <[email-masked]>
Date: Wed, 07 Jan 2026 18:31:30 +0200

On Tue, 06 Jan 2026, Patrick Steinhardt <[email-masked]> wrote:
>> diff --git a/t/t7425-submodule-gitdir-path-extension.sh b/t/t7425-submodule-gitdir-path-extension.sh
>> new file mode 100755
>> index 0000000000..5d52a289f8
>> --- /dev/null
>> +++ b/t/t7425-submodule-gitdir-path-extension.sh
>> @@ -0,0 +1,138 @@
>> +#!/bin/sh
>> +
>> +test_description='submodulePathConfig extension works as expected'
>
> I think I didn't spot any test that verifies the actual config values
> that get written when the repository extension is enabled. Specifially,
> what I think we ought to test there is that the generated submodule path
> is relative to the repository and not an absolute path.
>

Yes, I agree, it's a good idea to add a test which verifies the gitdir
config value to be relative to the repository regardless if the URL
being added is absolute or not.

This might actually be an oversight in the current code, which the test
will uncover and I will fix, if necessary.

Will do this in v8 and also fix all the nits you pointed out.

Thanks again,
Adrian